#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QDockWidget>
#include <QToolBar>
#include <QRadioButton>

#include <wfdisplay.h>

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    MainWindow(QWidget *parent = 0);
    void createDockWindows();
    void createToolBar();
    void buildDockList();
    void unTabify();
    void tabify();
    ~MainWindow();

public slots:
    void actionRadioV(bool state);
    void actionRadioE1(bool state);
    void actionRadioE2(bool state);
    void actionRadioB1(bool state);
    void actionRadioB2(bool state);
    void actionRadioB3(bool state);
    void organizeDocks();

private:

    WFDisplay *wfDisplay;

    WFPlot *wfPlotV;
    WFPlot *wfPlotE1;
    WFPlot *wfPlotE2;
    WFPlot *wfPlotB1;
    WFPlot *wfPlotB2;
    WFPlot *wfPlotB3;

    QList<QDockWidget*> dockList;

    QDockWidget *dockV;
    QDockWidget *dockE1;
    QDockWidget *dockE2;
    QDockWidget *dockB1;
    QDockWidget *dockB2;
    QDockWidget *dockB3;

    QRadioButton *radio_v;
    QRadioButton *radio_e1;
    QRadioButton *radio_e2;
    QRadioButton *radio_b1;
    QRadioButton *radio_b2;
    QRadioButton *radio_b3;
    QRadioButton *radio_tabify;

    QToolBar *toolBar;
};

#endif // MAINWINDOW_H
